Bug 1479848 - The kubernetes plugin is extremely slow when run on a cluster with thousands of namespace [NEEDINFO]
The kubernetes plugin is extremely slow when run on a cluster with thousands ...
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos (Show other bugs)
7.6
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Pavel Moravec
Miroslav Hradílek
https://github.com/sosreport/sos/pull...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 10:46 EDT by emahoney
Modified: 2017-11-08 09:26 EST (History)
7 users (show)

See Also:
Fixed In Version: sos-3.5-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhradile: needinfo? (emahoney)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github sosreport/sos/pull/1108 None None None 2017-09-27 06:19 EDT

  None (edit)
Description emahoney 2017-08-09 10:46:19 EDT
Description of problem:

The kubernetes plugin is extremely slow when run on a cluster with thousands of namespaces. This is the result of multiple kubectl commands being executed per project. There should be a way to supress this behavior.

See https://github.com/sosreport/sos/pull/1068 for a solution of this which adds a new option to the kubernetes module to suppress this behavior.

Version-Release number of selected component (if applicable):


How reproducible:
na

Steps to Reproduce:
1.na
2.
3.

Actual results:
kubernetes plugin takes a long time to complete when running a sosreport.

Expected results:
expect to be able to suppress some of this behavior that allows the sosreport to run in a reasonable time. 

Additional info:
Comment 2 Bryn M. Reeves 2017-08-09 10:52:20 EDT
The pull request for this is already in progress: if anything, I am considering flipping the default (so that all namespaces will _not_ be collected by default - i.e. the user has to enable an option in order to get the current behaviour).

This will mean that associates will need to request the "all namespaces" option when appropriate but this seems a preferable user experience to defaulting to collecting this - on systems with many namespaces where sos is being run for an unrelated problem this would be quite irritating.
Comment 3 Bryn M. Reeves 2017-08-09 10:53:09 EDT
(based on prior experience, users will not learn to add '-k kubernetes.no_individual' until they have at least one bad experience with the default behaviour).
Comment 4 emahoney 2017-08-09 11:02:09 EDT
That sounds like a good idea to me. Once a solution is in place, if it changes any support workflows, I can modify our docs. 

Thanks,
Evan Mahoney
Comment 6 Pavel Moravec 2017-11-02 11:14:53 EDT
Fixed via sos 3.5 rebase.

Note You need to log in before you can comment on or make changes to this bug.